media-libs / vulkan-layers

Vulkan Validation Layers

Official package sites : https://github.com/KhronosGroup/Vulkan-ValidationLayers ·

v9999 :: 0 :: gentoo

Modified
License
Apache-2.0
USE flags
X wayland

v1.1.106 :: 0 :: gentoo

Modified
License
Apache-2.0
Keywords
~amd64 ~x86
USE flags
X wayland

v1.1.101 :: 0 :: gentoo

Modified
License
Apache-2.0
Keywords
~amd64 ~x86
USE flags
X wayland

v1.1.92.0-r1 :: 0 :: gentoo

Modified
License
Apache-2.0
Keywords
amd64
USE flags
X wayland

v1.1.82.0-r1 :: 0 :: gentoo

Modified
License
Apache-2.0
Keywords
~amd64
USE flags
X wayland

General

X
Add support for X11
wayland
Enable dev-libs/wayland backend

abi_mips

n32
64-bit (32-bit pointer) libraries
n64
64-bit libraries
o32
32-bit libraries

abi_riscv

lp64
64-bit (rv64) soft-float libraries
lp64d
64-bit (rv64) double hard-float libraries

abi_s390

32
32-bit (s390) libraries
64
64-bit (s390x) libraries

abi_x86

32
32-bit (x86) libraries
64
64-bit (amd64) libraries
x32
x32 ABI libraries

dev-lang / python : An interpreted, interactive, object-oriented programming language

dev-libs / wayland : Wayland protocol libraries

dev-util / cmake : Cross platform Make

dev-util / glslang : Khronos reference front-end for GLSL and ESSL, and sample SPIR-V generator

dev-util / spirv-tools : Provides an API and commands for processing SPIR-V modules

dev-util / vulkan-headers : Vulkan Header files and API registry

dev-vcs / git : stupid content tracker: distributed VCS designed for speed and efficiency

sys-devel / make : Standard tool to compile source trees

x11-libs / libX11 : X.Org X11 library

x11-libs / libXrandr : X.Org Xrandr library

Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: Drop python3_4 from PYTHON_COMPAT
Closes: https://github.com/gentoo/gentoo/pull/11706 Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Nick Sarnie · gentoo
media-libs/vulkan-layers: Bump glslang dependency
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Nick Sarnie <sarnex@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Nick Sarnie · gentoo
media-libs/vulkan-layers: Bump to 1.1.106
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Nick Sarnie <sarnex@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
media-libs/vulkan-layers: x86 keyworded (bug #679350)
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Nick Sarnie · gentoo
media-libs/vulkan-layers: Update spirv-tools dependency
Fixes: https://bugs.gentoo.org/679318 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Nick Sarnie <sarnex@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Nick Sarnie · gentoo
media-libs/vulkan-layers: Fix dependency
Fixes: https://bugs.gentoo.org/679270 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Nick Sarnie <sarnex@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Maxime Lombard · gentoo
media-libs/vulkan-layers: Bump version
Version bump to 1.1.101. Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Maxime Lombard <berillions@gmail.com> Signed-off-by: Nick Sarnie <sarnex@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Mike Lothian · gentoo
media-libs/vulkan-layers: Install headers into /usr/include/vulkan
This is required to allow the new mesa vulkan-overlay-layer to build correctly Closes: https://github.com/gentoo/gentoo/pull/11166 Signed-off-by: Mike Lothian <mike@fireburn.co.uk> Signed-off-by: Nick Sarnie <sarnex@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Mikle Kolyada · gentoo
media-libs/vulkan-layers: amd64 stable wrt bug #674134
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Repository mirror & CI · gentoo
Merge updates from master
Nick Sarnie · gentoo
media-libs/vulkan-layers: Remove unused cmake variable
Fixes: https://bugs.gentoo.org/673230 Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Nick Sarnie <sarnex@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Nick Sarnie · gentoo
media-libs/vulkan-layers: Clean up blockers
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Nick Sarnie <sarnex@gentoo.org>
Nick Sarnie · gentoo
media-libs/vulkan-layers: Dependency fixup
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Nick Sarnie <sarnex@gentoo.org>
Nick Sarnie · gentoo
media-libs/vulkan-layers: Drop old
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Nick Sarnie <sarnex@gentoo.org>
Nick Sarnie · gentoo
media-libs/vulkan-layers: Bump to 1.1.92.0
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Nick Sarnie <sarnex@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Nick Sarnie · gentoo
media-libs/vulkan-layers: Remove unnecessary patch from 9999
Signed-off-by: Nick Sarnie <sarnex@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Repository mirror & CI · gentoo
Merge updates from master
Nick Sarnie · gentoo
media-libs/vulkan-layers: Fix glslang dependency
Fixes: https://bugs.gentoo.org/666596 Package-Manager: Portage-2.3.49, Repoman-2.3.11
Repository mirror & CI · gentoo
Merge updates from master
Nick Sarnie · gentoo
media-libs/vulkan-layers: Remove unnecessary patch
I had 1.1.84.0 headers installed accidentally Package-Manager: Portage-2.3.49, Repoman-2.3.10
Nick Sarnie · gentoo
media-libs/vulkan-layers: Bump to 1.1.82.0
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Repository mirror & CI · gentoo
Merge updates from master
Nick Sarnie · gentoo
media-libs/vulkan-layers: Backport patch to fix build on 1.1.77.0
Same issue as media-libs/vulkan-loader-1.1.77.0 Bug: https://bugs.gentoo.org/658900 Package-Manager: Portage-2.3.41, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Nick Sarnie · gentoo
media-libs/vulkan-layers: Drop old
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Nick Sarnie · gentoo
media-libs/vulkan-layers: Bump to 1.1.77.0
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Nick Sarnie · gentoo
media-libs/vulkan-layers: Remove unnecessary patch from 9999
Upstream added VULKAN_HEADERS_INSTALL_DIR Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Nick Sarnie · gentoo
media-libs/vulkan-layers: Support dev-util/vulkan-headers install target
Update the patch to support the new install location Resnapshot Drop old Package-Manager: Portage-2.3.40, Repoman-2.3.9
Repository mirror & CI · gentoo
Merge updates from master
Nick Sarnie · gentoo
media-libs/vulkan-layers: Update patch for 9999
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Nick Sarnie · gentoo
media-libs/vulkan-layers: Block against old vulkan-loader packaging
Reported-by: [Arfrever] on IRC Package-Manager: Portage-2.3.40, Repoman-2.3.9
Nick Sarnie · gentoo
media-libs/vulkan-layers: Initial version
Package-Manager: Portage-2.3.40, Repoman-2.3.9